#include<bits/stdc++.h>
#define maxn 400000
using namespace std;
int m,n;
long long result=0;
pair<int,int> p[maxn];
int c[maxn];
int t[maxn];
int v[maxn];
priority_queue<long long> pq;
int main()
{
	scanf("%d %d",&m,&n);
	for(int i=0;i<m;i++) scanf("%d",&t[i]);
	for(int i=0;i<m;i++) scanf("%d",&v[i]);
	for(int i=0;i<m;i++) p[i]=make_pair(t[i],v[i]);
	sort(p,p+m);
	for(int i=0;i<n;i++) scanf("%d",&c[i]);
	sort(c,c+n);
	int i=0;
	for(int j=0;j<n;j++) {
		while(i<m && p[i].first<c[j]) {
			pq.push(p[i].second);
			i++;
		}
		if(pq.size()>0) {
			result+=pq.top();
			pq.pop();
		}
	}
	printf("%lld",result);
	return 0;
}
